import base.IPlugin;

import java.util.List;

public class TestPluginFinder {
    public static void main(String[] args){
        try {
            PluginFinder pluginFinder = new PluginFinder();
            pluginFinder.search("c:/temp/sample");
            List<IPlugin> pluginCollection = pluginFinder.getPluginCollection();
            for (IPlugin plugin: pluginCollection){
                System.out.println("Found " + plugin.getName());
            }
        } catch (Exception e) {
            System.out.println("Error: " + e.getMessage());
        }
    }
}
